## com.google.appengine.api.oauth
Class InvalidOAuthParametersException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.appengine.api.oauth.OAuthRequestException
                  com.google.appengine.api.oauth.InvalidOAuthParametersException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidOAuthParametersException

extends OAuthRequestException

`InvalidOAuthParametersException` is thrown when a request is a malformed OAuth request (for example, it omits a required parameter or contains an invalid signature).

See Also:
  Serialized Form

Constructor Summary
`InvalidOAuthParametersException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidOAuthParametersException

    public InvalidOAuthParametersException(java.lang.String message)